Subject: Re: bug#65602: 30.0.50; eshell-test/{elisp,subcommand}-reset-in-pipeline fails intermittently on macOS

From: Jim Porter <[email-masked]>
Date: Wed, 13 Sep 2023 18:24:17 -0700

On 9/13/2023 2:33 PM, Stefan Kangas wrote:
> Stefan Kangas <[email-masked]> writes:
> 
>> I spoke too soon, as I'm now seeing the below two failures.
>>
>>     FAILED   42/110  esh-var-test/interp-var-indices-subcommand (0.787189 sec) at lisp/eshell/esh-var-tests.el:184
>>
>>     FAILED   5/11  eshell-test/eshell-command/simple (0.670351 sec) at lisp/eshell/eshell-tests.el:41
> 
> Here's another one I saw in another rerun:
> 
>     FAILED  esh-var-test/interp-concat-cmd-external

Hmm. I pushed a commit to add additional instrumentation to this code 
(ef2bd5e4875). Could you try that out and report the results?

You could also try adding something like "(setq eshell-debug-command 
'(form))" to the top of "test/lisp/eshell/eshell-tests-helpers.el", and 
then "rm test/lisp/eshell/*.elc" to force a full recompile of the tests. 
That'll add excessive amounts of logging for Eshell's s-expr 
manipulation, and it might produce something useful. (Warning that it 
can also include things like your env vars in the logs, so be careful 
about uploading it.)